


#if !defined(__WANEC_API_H__)
# define __WANEC_API_H__

typedef struct {
	wan_custom_conf_t	conf;
} wanec_api_config_t;
typedef struct {
	int notused;
} wanec_api_release_t;
typedef struct {
	int		enable;
	unsigned long	channel_map;
} wanec_api_mode_t;
typedef struct {
	int		enable;
	unsigned long	channel_map;
} wanec_api_bypass_t;
typedef struct {
	int		mode;
	unsigned long	channel_map;
} wanec_api_opmode_t;
typedef struct {
	unsigned long		channel_map;
	wan_custom_conf_t	conf;
} wanec_api_modify_t;
typedef struct {
	int		mode;
	unsigned long	channel_map;
	unsigned char	port_map;
} wanec_api_mute_t;
typedef struct {
	int		enable;
	unsigned long	channel_map;
	unsigned char	port_map;
	unsigned char	type_map;
} wanec_api_dtmf_t;
typedef struct {
	int		full;
	int		channel;
	int		reset;
	int		silent;
} wanec_api_stats_t;
typedef struct {
	char		*ptone;
	unsigned int	tone_id;
} wanec_api_toneload_t;
typedef struct {
	unsigned int	tone_id;
} wanec_api_toneunload_t;
typedef struct {
	int		start;
	unsigned int	tone_id;
	int		channel;
	int		duration;
} wanec_api_playout_t;
typedef struct {
	int		channel;
} wanec_api_monitor_t;

extern int wanec_api_init(void);
extern int wanec_api_param_name(char *key);
extern int wanec_api_param_value(char *value);
extern int wanec_api_config(char*,int,wanec_api_config_t*);
extern int wanec_api_release(char*,int,wanec_api_release_t*);
extern int wanec_api_mode(char*,int,wanec_api_mode_t*);
extern int wanec_api_bypass(char*,int,wanec_api_bypass_t*);
extern int wanec_api_opmode(char*,int,wanec_api_opmode_t*);
extern int wanec_api_modify(char*,int,wanec_api_modify_t*);
extern int wanec_api_mute(char*,int,wanec_api_mute_t*);
extern int wanec_api_dtmf(char*,int,wanec_api_dtmf_t*);
extern int wanec_api_stats(char*,int,wanec_api_stats_t*);
extern int wanec_api_tone_load(char*,int,wanec_api_toneload_t*);
extern int wanec_api_tone_unload(char*,int,wanec_api_toneunload_t*);
extern int wanec_api_playout(char*,int,wanec_api_playout_t*);
extern int wanec_api_monitor(char*,int,wanec_api_monitor_t*);

#endif /* __WANEC_API_H__ */
